Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api
Interface IClientRegistry

All Known Implementing Classes:
  ClientRegistry

    public interface IClientRegistry

Provides a registry of client objects. You can lookup a client by its client id / session id using lookupClient method. This interface implementations also create new client objects from given params, usually passed from client-side Flex/Flash application upon initial connection.

Author:
  The Red5 Project (red5@osflash.org), Luke Hubbard (luke@codegent.com)

Method Summary
`boolean` | `hasClient(String id)` Check if a client with a given id exists.
`IClient` | `lookupClient(String id)` Return an existing client from a client id.
`IClient` | `newClient(Object[] params)` Create a new client client object from connection params.

Method Detail

### hasClient

    boolean hasClient(String id)

  Check if a client with a given id exists.

  Parameters:
    `id` - the id of the client to check for
  Returns:
    `true` if the client exists, `false` otherwise

### newClient

    IClient newClient(Object[] params)
                      throws ClientNotFoundException,
                             ClientRejectedException

  Create a new client client object from connection params.

  Parameters:
    `params` - the parameters the client passed during connection
  Returns:
    the new client
  Throws:
    `ClientNotFoundException` - no client could be created from the passed parameters
    `ClientRejectedException` - the client is not allowed to connect

### lookupClient

    IClient lookupClient(String id)
                         throws ClientNotFoundException

  Return an existing client from a client id.

  Parameters:
    `id` - the id of the client to return
  Returns:
    the client object
  Throws:
    `ClientNotFoundException` - no client with the passed id exists

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project